#*************************** Makefile for DOS ***************************

msg	=..\messages
inc	=..\inc
hinc	=..\hinc
make	=nmake -i
dos	=.

#
###################### Dependencies begin here ##########################
#

all: msdos.cl1 $(inc)\nibdos.obj $(inc)\const2.obj  \
    $(inc)\msdata.obj mscode.obj $(inc)\msdosme.obj time.obj getset.obj \
    dosparse.obj misc.obj misc2.obj crit.obj cpmio.obj cpmio2.obj \
    $(inc)\mstable.obj msdisp.obj fcbio.obj fcbio2.obj \
    search.obj path.obj ioctl.obj delete.obj rename.obj finfo.obj \
    dup.obj create.obj open.obj dinfo.obj isearch.obj buf.obj \
    abort.obj close.obj dircall.obj disk.obj disk2.obj disk3.obj dir.obj \
    dir2.obj dev.obj mknode.obj rom.obj fcb.obj msctrlc.obj fat.obj \
    proc.obj alloc.obj srvcall.obj util.obj macro.obj macro2.obj ifs.obj \
    handle.obj file.obj lock.obj share.obj extattr.obj \
    msdosw.lnk

# msdos.cl1: msdos.skl \
#	$(msg)\$(COUNTRY).msg 

dossym.inc: $(inc)\dosmac.inc $(inc)\bpb.inc \
    $(inc)\buffer.inc $(inc)\sysvar.inc $(inc)\vector.inc \
    $(inc)\mult.inc $(inc)\dirent.inc $(inc)\dpb.inc $(inc)\curdir.inc \
    $(inc)\cpmfcb.inc $(inc)\find.inc $(inc)\pdb.inc $(inc)\exe.inc \
    $(inc)\sf.inc $(inc)\arena.inc $(inc)\intnat.inc $(inc)\mi.inc \
    $(inc)\filemode.inc $(inc)\error.inc $(inc)\syscall.inc
	echo "touch dossym.inc; files that are in ..\inc"

dossym.mac: $(inc)\dosmac.mac $(inc)\bpb.mac \
    $(inc)\buffer.mac $(inc)\sysvar.mac $(inc)\vector.mac \
    $(inc)\mult.mac $(inc)\dirent.mac $(inc)\dpb.mac $(inc)\curdir.mac \
    $(inc)\cpmfcb.mac $(inc)\find.mac $(inc)\pdb.mac $(inc)\exe.mac \
    $(inc)\sf.mac $(inc)\arena.mac $(inc)\intnat.mac $(inc)\mi.mac \
    $(inc)\filemode.mac $(inc)\error.mac $(inc)\syscall.mac
	echo "touch dossym.mac; files that are in ../inc"

$(inc)\nibdos.obj: 
	cd ..\inc
	$(make)
	cd ..\dos		   

$(inc)\const2.obj: 
	cd ..\inc
	$(make)
	cd ..\dos	   

$(inc)\msdata.obj: 
	cd ..\inc
	$(make)
	cd ..\dos	   
		   
$(inc)\mstable.obj:
	cd ..\inc
	$(make)
	cd ..\dos	   
		   
$(inc)\msdosme.obj:
	cd ..\inc
	$(make)
	cd ..\dos

msdisp.obj: msdisp.nas mssw.nas disp.nas \
	     $(inc)\dossym.mac $(inc)\dosseg.nas $(inc)\buf2sw.mac \
	     ..\..\version.inc \
	     $(inc)\entrysw.mac

mscode.obj: mscode.nas mssw.nas ms_code.nas \
	     $(inc)\dossym.mac $(inc)\dosseg.nas $(inc)\devsym.mac \
	     $(inc)\buf2sw.mac $(inc)\codesw.mac $(inc)\lstruct.mac \
	     $(inc)\entrysw.mac idtable.asm \
	     $(inc)\entryseg.nas

time.obj: time.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
	  $(inc)\devsym.mac

getset.obj: getset.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac

dosparse.obj: dosparse.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac

misc.obj: misc.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac $(inc)\bugtyp.nas

misc2.obj: misc2.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\bugtyp.nas \
    $(inc)\entrysw.mac \
    $(inc)\entryseg.nas

crit.obj: crit.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\bugtyp.nas

cpmio.obj: cpmio.nas $(inc)\dosseg.nas \
    $(inc)\dossym.mac \
    $(inc)\devsym.mac \
    kstrin.nas strin.nas

cpmio2.obj: cpmio2.nas $(inc)\dosseg.nas \
    $(inc)\dossym.mac $(inc)\devsym.mac

fcbio.obj: fcbio.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac $(inc)\sf.mac $(inc)\fastopen.mac

fcbio2.obj: fcbio2.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac $(inc)\buf2sw.mac

search.obj: search.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac

path.obj: path.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac

ioctl.obj: ioctl.nas $(inc)\ioctl.mac $(inc)\dosseg.nas \
    $(inc)\dossym.mac $(inc)\devsym.mac

delete.obj: delete.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac $(inc)\sf.mac $(inc)\fastxxxx.mac $(inc)\fastopen.mac \
    $(inc)\buf2sw.mac

rename.obj: rename.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac $(inc)\sf.mac $(inc)\buf2sw.mac

finfo.obj: finfo.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac $(inc)\buf2sw.mac

dup.obj: dup.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac

create.obj: create.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac

open.obj: open.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac $(inc)\fastopen.mac

dinfo.obj: dinfo.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
   $(inc)\devsym.mac $(inc)\bugtyp.nas $(inc)\buffer.mac \
   $(inc)\buf2sw.mac

isearch.obj: isearch.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac

abort.obj: abort.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac $(inc)\sf.mac

close.obj: close.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac $(inc)\buffer.mac $(inc)\buf2sw.mac

dircall.obj: dircall.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac $(inc)\buffer.mac $(inc)\fastopen.mac \
    $(inc)\buf2sw.mac

disk.obj: disk.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac $(inc)\buf2sw.mac

disk2.obj: disk2.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac $(inc)\buffer.mac $(inc)\buf2sw.mac

disk3.obj: disk3.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac $(inc)\buf2sw.mac

dir.obj: dir.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
	 $(inc)\buffer.mac $(inc)\fastopen.mac $(inc)\buf2sw.mac

dir2.obj: dir2.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
	  $(inc)\buffer.mac $(inc)\fastopen.mac $(inc)\buf2sw.mac

dev.obj: dev.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac $(inc)\buf2sw.mac

mknode.obj: mknode.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac  $(inc)\buffer.mac $(inc)\fastopen.mac \
    $(inc)\filemode.mac $(inc)\buf2sw.mac

rom.obj: rom.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac  $(inc)\buffer.mac $(inc)\buf2sw.mac

fcb.obj: fcb.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac

msctrlc.obj: msctrlc.nas mssw.nas ctrlc.nas \
    $(inc)\dosseg.nas $(inc)\dossym.mac $(inc)\devsym.mac \
    $(inc)\bugtyp.nas $(inc)\buf2sw.mac \
    $(inc)\entrysw.mac $(inc)\entryseg.nas

fat.obj: fat.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac $(inc)\buffer.mac $(inc)\curdir.mac \
    $(inc)\buf2sw.mac

buf.obj: buf.nas buf2.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac $(inc)\buffer.mac $(inc)\buf2sw.mac

proc.obj: proc.nas \
    $(inc)\dosseg.nas $(inc)\dossym.mac $(inc)\devsym.mac \
    $(inc)\curdir.mac \
    exec.nas $(inc)\buf2sw.mac \
    $(inc)\memsw.mac \
    $(inc)\entrysw.mac \
    $(inc)\entryseg.nas

alloc.obj: alloc.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac $(inc)\lstruct.mac memory.asm \
    $(inc)\memsw.mac

srvcall.obj: srvcall.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac

util.obj: util.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac

macro.obj: macro.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac  $(inc)\curdir.mac

macro2.obj: macro2.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac $(inc)\curdir.mac

handle.obj: handle.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac $(inc)\bugtyp.nas $(inc)\buf2sw.mac \
    $(inc)\memsw.mac

file.obj: file.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac $(inc)\bugtyp.nas $(inc)\fastopen.mac \
    $(inc)\filemode.mac

lock.obj: lock.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac

share.obj: share.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac

extattr.obj: extattr.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac $(inc)\ea.mac $(inc)\buffer.mac \
    $(inc)\buf2sw.mac

ifs.obj: ifs.nas $(inc)\dosseg.nas $(inc)\dossym.mac \
    $(inc)\devsym.mac $(inc)\doscntry.mac $(inc)\buffer.mac \
    $(inc)\buf2sw.mac \
    $(inc)\entrysw.mac
